diff --git a/src/acpi/devices/ac_adapter/ac.c b/src/acpi/devices/ac_adapter/ac.c
index 2a07c313..484bc476 100644
--- a/src/acpi/devices/ac_adapter/ac.c
+++ b/src/acpi/devices/ac_adapter/ac.c
@@ -189,7 +189,7 @@ static int method_test_PRL(fwts_framework *fw)
 		 &device, "_PRL", NULL, 0, method_test_PRL_return, NULL);
 }
 
-/* EvaluateD evice Identification Objects - all are optional */
+/* Evaluate Device Identification Objects - all are optional */
 static int method_test_ADR(fwts_framework *fw)
 {
 	return fwts_method_test_ADR(fw, &device);
diff --git a/src/acpi/devices/battery/battery.c b/src/acpi/devices/battery/battery.c
index 400f485b..9d6744ae 100644
--- a/src/acpi/devices/battery/battery.c
+++ b/src/acpi/devices/battery/battery.c
@@ -677,7 +677,7 @@ static int method_test_BMC(fwts_framework *fw)
 	return FWTS_OK;
 }
 
-/* EvaluateD evice Identification Objects - all are optional */
+/* Evaluate Device Identification Objects - all are optional */
 static int method_test_ADR(fwts_framework *fw)
 {
 	return fwts_method_test_ADR(fw, &device);
diff --git a/src/acpi/devices/battery/smart_battery.c b/src/acpi/devices/battery/smart_battery.c
index bf3f4043..395e2e88 100644
--- a/src/acpi/devices/battery/smart_battery.c
+++ b/src/acpi/devices/battery/smart_battery.c
@@ -121,7 +121,7 @@ static int method_test_SBS(fwts_framework *fw)
 		"_SBS", NULL, 0, method_test_SBS_return, NULL);
 }
 
-/* EvaluateD evice Identification Objects - all are optional */
+/* Evaluate Device Identification Objects - all are optional */
 static int method_test_ADR(fwts_framework *fw)
 {
 	return fwts_method_test_ADR(fw, &device);
diff --git a/src/acpi/devices/buttons/power_button.c b/src/acpi/devices/buttons/power_button.c
index d69a1a12..ed14a6ea 100644
--- a/src/acpi/devices/buttons/power_button.c
+++ b/src/acpi/devices/buttons/power_button.c
@@ -81,7 +81,7 @@ static int method_test_HID(fwts_framework *fw)
 	return fwts_method_test_HID(fw, &device);
 }
 
-/* EvaluateD evice Identification Objects - all are optional */
+/* Evaluate Device Identification Objects - all are optional */
 static int method_test_ADR(fwts_framework *fw)
 {
 	return fwts_method_test_ADR(fw, &device);
diff --git a/src/acpi/devices/buttons/sleep_button.c b/src/acpi/devices/buttons/sleep_button.c
index 39a7d558..0c06a620 100644
--- a/src/acpi/devices/buttons/sleep_button.c
+++ b/src/acpi/devices/buttons/sleep_button.c
@@ -80,7 +80,7 @@ static int method_test_HID(fwts_framework *fw)
 	return fwts_method_test_HID(fw, &device);
 }
 
-/* EvaluateD evice Identification Objects - all are optional */
+/* Evaluate Device Identification Objects - all are optional */
 static int method_test_ADR(fwts_framework *fw)
 {
 	return fwts_method_test_ADR(fw, &device);
diff --git a/src/acpi/devices/ec/ec.c b/src/acpi/devices/ec/ec.c
index 1db1d8a5..c42d2a32 100644
--- a/src/acpi/devices/ec/ec.c
+++ b/src/acpi/devices/ec/ec.c
@@ -180,7 +180,7 @@ static int method_test_CRS(fwts_framework *fw)
 		"_CRS", NULL, 0, method_test_CRS_return, NULL);
 }
 
-/* EvaluateD evice Identification Objects - all are optional */
+/* Evaluate Device Identification Objects - all are optional */
 static int method_test_ADR(fwts_framework *fw)
 {
 	return fwts_method_test_ADR(fw, &device);
diff --git a/src/acpi/devices/lid/lid.c b/src/acpi/devices/lid/lid.c
index e76914cc..687f8cac 100644
--- a/src/acpi/devices/lid/lid.c
+++ b/src/acpi/devices/lid/lid.c
@@ -189,7 +189,7 @@ static int method_test_PSW(fwts_framework *fw)
 		&device, "_PSW", arg, 1, fwts_method_test_NULL_return, NULL);
 }
 
-/* EvaluateD evice Identification Objects - all are optional */
+/* Evaluate Device Identification Objects - all are optional */
 static int method_test_ADR(fwts_framework *fw)
 {
 	return fwts_method_test_ADR(fw, &device);
diff --git a/src/acpi/devices/sensor/als.c b/src/acpi/devices/sensor/als.c
index 5cb712bf..7fbebde2 100644
--- a/src/acpi/devices/sensor/als.c
+++ b/src/acpi/devices/sensor/als.c
@@ -164,7 +164,7 @@ static int method_test_ALP(fwts_framework *fw)
 		"_ALP", NULL, 0, fwts_method_test_polling_return, "_ALP");
 }
 
-/* EvaluateD evice Identification Objects - all are optional */
+/* Evaluate Device Identification Objects - all are optional */
 static int method_test_ADR(fwts_framework *fw)
 {
 	return fwts_method_test_ADR(fw, &device);
diff --git a/src/acpi/devices/time/time.c b/src/acpi/devices/time/time.c
index 4f776cf6..bdc3ace1 100644
--- a/src/acpi/devices/time/time.c
+++ b/src/acpi/devices/time/time.c
@@ -302,7 +302,7 @@ static int method_test_TIV(fwts_framework *fw)
 		"_TIV", arg, 1, fwts_method_test_integer_return, NULL);
 }
 
-/* EvaluateD evice Identification Objects - all are optional */
+/* Evaluate Device Identification Objects - all are optional */
 static int method_test_ADR(fwts_framework *fw)
 {
 	return fwts_method_test_ADR(fw, &device);
diff --git a/src/acpi/devices/wpc/wpc.c b/src/acpi/devices/wpc/wpc.c
index 516ce970..6599180d 100644
--- a/src/acpi/devices/wpc/wpc.c
+++ b/src/acpi/devices/wpc/wpc.c
@@ -109,7 +109,7 @@ static int method_test_WPP(fwts_framework *fw)
 	 "_WPP", NULL, 0, fwts_method_test_integer_return, NULL);
 }
 
-/* EvaluateD evice Identification Objects - all are optional */
+/* Evaluate Device Identification Objects - all are optional */
 static int method_test_ADR(fwts_framework *fw)
 {
 	return fwts_method_test_ADR(fw, &device);